Subject: Re: [bug, netconsole, SLUB] BUG skbuff_head_cache: Poison overwritten

From: Ingo Molnar <[email-masked]>
Date: Mon, 21 Jul 2008 22:05:54 +0200

* Evgeniy Polyakov <[email-masked]> wrote:

> It could be an interesting kmemcheck extension to catch not only 
> non-initialized memory, but also writes into just freed one, but not 
> yet returned by allocator to the next user.

hm, i think kmemcheck does that mostly already. If not then I think 
kmemcheck should just turn off all buffering that might happen on the 
SLUB level (if it doesnt do it already). I.e. a kfree()d buffer should 
be marked as uninitialized immediately.

	Ingo